=== debian/changelog ===
libv8 (3.1.8.22-1ubuntu2) oneiric; urgency=low

  * Backport timeout bump from 3.4.14.21-1:
    "Tests timeout after 120 seconds, instead of 60.
     Some builders can have slower machines."
    Fixes FTBFS. (LP: #852605)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 27 Sep 2011 09:14:07 -0400

libv8 (3.1.8.22-1ubuntu1) oneiric; urgency=low

  * Build with -Wno-error=unused-but-set-variable. LP: #831141.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 23:13:43 +0000

libv8 (3.1.8.22-1) unstable; urgency=low

  [ Jérémy Lal ]
  * Enable i18n experimental extension. Build-Depends on libicu-dev.
    Closes: bug#627066. Thanks to Giuseppe Iuculano.
  * Stop special-casing some regression tests on armel (introduced in
    3.1.8.10-2): Solved by disabling cctests (since 3.1.8.10-3).

  [ Jonas Smedegaard ]
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jun 2011 22:24:02 +0200

libv8 (3.1.8.10-3) unstable; urgency=low

  * Disable cctests : they fail from time to time and are meant
    to be used for upstream development purposes. Only javascript
    tests are run.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 23 Apr 2011 13:47:42 +0200

libv8 (3.1.8.10-2) unstable; urgency=low

  * Temporarily allow some tests to fail on armel builds.
    Closes: bug#623449.
  * Turn on verbose output when running tests. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 22 Apr 2011 16:51:10 +0200

libv8 (3.1.8.10-1) unstable; urgency=low

  [ Jérémy Lal ]
  * New upstream release. 

  [ Jonas Smedegaard ]
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 12:59:59 +0200

libv8 (2.5.9.21-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Relax regression checking to not cause build to fail.
  * Use DEB_SCONS_ENVVARS to define SONAME, removing the need for the
    soname patch, and allowing builds with gold linker. 

  [ Jonas Smedegaard ]
  * Only relax regression checking when targeted experimental.
  * Let CDBS auto-resolve build-dependencies and library package name.
  * Fix tighten build-dependencies on cdbs and debhelper.
  * Build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Mar 2011 12:41:52 +0200

libv8 (2.5.9.16-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Add architecture armhf.
    Closes: #596997

  [ Jonas Smedegaard ]
  * Rewrite copyright file using draft svn166 of DEP5 format.
  * Supress copyright-checking a few binary files, to not upset
    dpkg-source.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Feb 2011 16:51:54 +0100

libv8 (2.5.9.15-2) unstable; urgency=low

  * Builds with snapshot=on. (Closes: #612781) 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Feb 2011 02:27:40 +0100

libv8 (2.5.9.15-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Map DEB_HOST_ARCH and DEB_HOST_ARCH_OS to v8 scons options 'arch'
    and 'os'. (Closes: #611215)
    Move to team-maintainance, with me as maintainer and Jonas
    Smedegaard as uploader.
    Drop Antonio Radici as uploader: Thanks for your contributions,
    Antonio!

  [ Jonas Smedegaard ]
  * Tidy CDBS variables internally in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Feb 2011 01:36:39 +0100
