=== debian/changelog ===
libv8 (3.4.14.21-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Add patch (taken from upstream VCS) to fix compatibility with ICU 4.8
    Closes: bug#648506.
    Thanks to Julien Cristau for the bug report.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 15 Nov 2011 23:07:20 +0100

libv8 (3.4.14.21-4) unstable; urgency=low

  * Fix armel tests. Closes: bug#644163.
    Thanks to Vyacheslav Egorov. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 21 Oct 2011 16:24:05 +0200

libv8 (3.4.14.21-3) unstable; urgency=low

  * Disable VFP for armel
  * Disable unaligned access for armel

 -- Jérémy Lal <kapouer@melix.org>  Wed, 28 Sep 2011 23:14:48 +0200

libv8 (3.4.14.21-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Rewrite short and long descriptions. Closes: bug#624374.
    Thanks to Erik Esterer.

  [ Jérémy Lal ]
  * Redirect output of mksnapshot to stdout. This helps armel debugging.
  * Backport of fix for upstream issue#1706: unaligned access on armel.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 28 Sep 2011 11:25:48 +0200

libv8 (3.4.14.21-1) unstable; urgency=low

  [ Jérémy Lal ]
  * New upstream release.
  * Adds -mno-thumb-interwork on armel (armeabi:softfp).
    Upstream does not support thumb interworking < armv5t.
    However it is supported on armhf.
  * Move compiler flags for arm in debian/rules, instead of setting
    them using a quilt patch.
  * Relax build-dependencies on cdbs (unneededly tight) and debhelper
    (needed version satisfied even in oldstable).
  * Tests timeout after 120 seconds, instead of 60.
    Some builders can have slower machines.

  [ Jonas Smedegaard ]
  * Update watch file: Track 3.4.x releases.
  * Relax build-dependency on devscripts (needed version satisfied even
    in oldstable).
  * Update copyright file:
    + Fix use Source: (not Upstream-Source:).
    + Newline-delimit file list.
    + Use ~ as indicator for derived licenses.
    + Shorten license comment, and quote license name.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2011 16:55:28 +0200

libv8 (3.4.14.13-4) experimental; urgency=low

  * Export I18NExtension::get and I18NExtension::Register.
    Closes: bug#639596.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 04 Sep 2011 15:41:48 +0200

libv8 (3.4.14.13-3) experimental; urgency=low

  * move I18NExtension from v8::internal to v8_i18n namespace,
    following the externalization of i18n extension in chromium 15.
    Closes: bug#639596.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 04 Sep 2011 10:35:09 +0200

libv8 (3.4.14.13-2) experimental; urgency=low

  * fix include of "v8.h" in i18n-extension.h
    Closes: bug#639522. Thanks to Giuseppe Iuculano.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Aug 2011 00:15:25 +0200

libv8 (3.4.14.13-1) experimental; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Bump version in debian/control (and debian/control.in)

  [ Jonas Smedegaard ]
  * Add patch 0007 to fix armhf.
    Closes: bug#636370. Thanks to Konstantinos Margaritis.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Aug 2011 01:21:27 +0200

libv8 (3.4.14-1) experimental; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * mipsel architecture added.
  * Fix FTBFS with gcc 4.6 using -Wnounused-but-set-variable.
    Closes: bug#625377.
  * Enable i18n experimental extension: reworked, could be broken.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jul 2011 01:14:22 +0200
