=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 # SVN tag but the watch file will still useful to find
 # new versions
 opts="dversionmangle=s/\+dfsg//" \
-http://v8.googlecode.com/svn/tags/ (3\.1\.[\d.]+)/
+http://v8.googlecode.com/svn/tags/ (3\.4\.[\d.]+)/
